aktualizacja libboost_system

  • 13 replies
  • 421 views
aktualizacja libboost_system
« dnia: Kwiecień 30, 2018, 13:24:29 pm »
Witam,
chciałem się dowiedzieć czy jest możliwość zaktualizowania libboost_system do wersji 1.62.0 gdzie obecnie posiadam 1.58.0 a program, który staram się włączyć potrzebuje akurat wersji 1.62.0 a patrząc po pakiecie synaptic tylko wersja 1.58.0 jest dostępna.

*

Offline jury

  • ***
  • 163
  • 19
Odp: aktualizacja libboost_system
« Odpowiedź #1 dnia: Kwiecień 30, 2018, 17:02:55 pm »

Odp: aktualizacja libboost_system
« Odpowiedź #2 dnia: Kwiecień 30, 2018, 19:57:01 pm »
Zostaje tylko zbudowanie sobie samemu:
https://codeyarns.com/2017/01/24/how-to-build-boost-on-linux/

Rozumiem, czyli w takim wypadku musze sie pozbyc wszystkich pakietow obecnie posiadanych i powiazanych z libboost czy moge zbudowac na obecna wersje ?

*

Offline yahoob3

  • *****
  • 558
  • 109
  • Płeć: Mężczyzna
  • Zgryźliwy tetryk
    • Organy Hammonda
Odp: aktualizacja libboost_system
« Odpowiedź #3 dnia: Kwiecień 30, 2018, 20:39:13 pm »
Mint 18.3 Cinnamon, kern. 4.10; 64-bit na: Lenovo G500S z CPU Pent. 2020M 2.4 GHz*2; 6 GB RAM; GPU Intel+GeForce 720M;
LU#586742

Odp: aktualizacja libboost_system
« Odpowiedź #4 dnia: Maj 01, 2018, 14:03:51 pm »
ok, chyba udało mi się zbudować boosta w /usr/ lecz dalej mi wyskakuje błąd z brakiem libboost

*

Offline yahoob3

  • *****
  • 558
  • 109
  • Płeć: Mężczyzna
  • Zgryźliwy tetryk
    • Organy Hammonda
Odp: aktualizacja libboost_system
« Odpowiedź #5 dnia: Maj 01, 2018, 19:21:16 pm »
"Czyliże" niekoniecznie. Pokaż co terminal wyświetla. Przydałoby się po kolei, co robiłeś.
Mint 18.3 Cinnamon, kern. 4.10; 64-bit na: Lenovo G500S z CPU Pent. 2020M 2.4 GHz*2; 6 GB RAM; GPU Intel+GeForce 720M;
LU#586742

Odp: aktualizacja libboost_system
« Odpowiedź #6 dnia: Maj 02, 2018, 18:52:37 pm »
wrzucić całość z konsoli czy tylko końcowe wyniki ?

*

Offline yahoob3

  • *****
  • 558
  • 109
  • Płeć: Mężczyzna
  • Zgryźliwy tetryk
    • Organy Hammonda
Odp: aktualizacja libboost_system
« Odpowiedź #7 dnia: Maj 02, 2018, 20:10:42 pm »
Najlepiej całość. Pamiętaj o znacznikach code (#).
Mint 18.3 Cinnamon, kern. 4.10; 64-bit na: Lenovo G500S z CPU Pent. 2020M 2.4 GHz*2; 6 GB RAM; GPU Intel+GeForce 720M;
LU#586742

Odp: aktualizacja libboost_system
« Odpowiedź #8 dnia: Maj 02, 2018, 20:24:19 pm »
wrzuciłem tutaj, będzie łatwiej

http://www.heypasteit.com/clip/0IJK4R

*

Offline yahoob3

  • *****
  • 558
  • 109
  • Płeć: Mężczyzna
  • Zgryźliwy tetryk
    • Organy Hammonda
Odp: aktualizacja libboost_system
« Odpowiedź #9 dnia: Maj 02, 2018, 20:34:56 pm »
Super, że tak to pokazałeś.
Dla mnie, to czarna magia, może któryś w poweruserów będzie w stanie pomóc. Tylko chyba musisz uzbroić się w cierpliwość. Ostatnio rzadko są widoczni.  :(
Mint 18.3 Cinnamon, kern. 4.10; 64-bit na: Lenovo G500S z CPU Pent. 2020M 2.4 GHz*2; 6 GB RAM; GPU Intel+GeForce 720M;
LU#586742

Odp: aktualizacja libboost_system
« Odpowiedź #10 dnia: Maj 02, 2018, 21:06:50 pm »
Dla mnie też :)
no nic to czekamy.

*

Offline jury

  • ***
  • 163
  • 19
Odp: aktualizacja libboost_system
« Odpowiedź #11 dnia: Maj 03, 2018, 19:52:43 pm »
Poweruserem zdecydowanie nie jestem, ale z tego co załączyłeś wygląda jak ( raczej ) prawidłowo skompilowana biblioteka, choć jesteś pewien, że dałeś cały wynik? bo wg mnie urywa się jakoś tak jakby w trakcie.
Niemniej, to co załączyłeś wygląda chyba OK. Co zwraca polecenie:
more /usr/include/boost/version.hpp | grep "BOOST_LIB_VERSION"
lub
more /usr/local/include/boost/version.hpp | grep "BOOST_LIB_VERSION"
?
« Ostatnia zmiana: Maj 03, 2018, 19:55:38 pm wysłana przez jury »

Odp: aktualizacja libboost_system
« Odpowiedź #12 dnia: Maj 03, 2018, 21:46:01 pm »
more /usr/include/boost/version.hpp | grep "BOOST_LIB_VERSION"
//  BOOST_LIB_VERSION must be defined to be the same as BOOST_VERSION
#define BOOST_LIB_VERSION "1_58"
dalej wyrzuca 1.58 jeżeli dobrze zrozumiałem

*

Offline jury

  • ***
  • 163
  • 19
Odp: aktualizacja libboost_system
« Odpowiedź #13 dnia: Maj 04, 2018, 07:18:50 am »
Ale to raczej nie jest ten który kompilowałeś, czyli co, nie usuwałeś 1.58 przed puszczaniem kompilacji 1.67? ( tak to na moje oko wygląda )
Czy w Synaptic'u widzisz libboosta?